package eu.mhsl.minecraft.pixelblocks.commands;

import eu.mhsl.minecraft.pixelblocks.pixelblock.PixelBlock;
import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

public class CreatePixelBlockCommand implements CommandExecutor {
    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if(sender instanceof Player p) {
            Location playerLocation = p.getLocation();
            PixelBlock pixelBlock = new PixelBlock(playerLocation, p.getUniqueId(), 16);
            pixelBlock.place(playerLocation);
        }

        return(true);
    }
}
