package eu.mhsl.minecraft.pixelblocks.listeners;

import org.bukkit.Bukkit;
import org.bukkit.Location;
import org.bukkit.Material;
import org.bukkit.World;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerMoveEvent;

import java.util.Arrays;

public class PlayerMoveListener implements Listener {
    @EventHandler
    static void onPlayerMove(PlayerMoveEvent event) {
        World playerWorld = event.getPlayer().getWorld();
        World[] standardWorlds = {Bukkit.getWorlds().get(0), Bukkit.getWorlds().get(1), Bukkit.getWorlds().get(2)};

        if(!Arrays.stream(standardWorlds).toList().contains(playerWorld)) {
            Location playerLocation = event.getPlayer().getLocation();
            if(playerLocation.y() < -65) {
                playerWorld.getSpawnLocation().clone().subtract(1, 1, 1).getBlock().setType(Material.WHITE_CONCRETE);
                event.getPlayer().teleport(event.getPlayer().getWorld().getSpawnLocation());
            }
        }
    }
}
